Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsScene.ItemIndexMethod

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsScene.ItemIndexMethod

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsScene

    public static final class QGraphicsScene.ItemIndexMethod

extends java.lang.Enum
implements QtEnumerator

This enum describes the indexing algorithms `QGraphicsScene` provides for managing positional information about items on the scene.

See also:
  setItemIndexMethod(), and `bspTreeDepth`.

See Also:
  Serialized Form

Field Summary
`static QGraphicsScene.ItemIndexMethod` | `BspTreeIndex` A Binary Space Partitioning tree is applied.
`static QGraphicsScene.ItemIndexMethod` | `NoIndex` No index is applied.

Method Summary
`static QGraphicsScene.ItemIndexMethod` | `resolve(int value)` Returns the ItemIndexMethod constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsScene.ItemIndexMethod` | `valueOf(java.lang.String name)`
`static QGraphicsScene.ItemIndexMethod[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BspTreeIndex

    public static final QGraphicsScene.ItemIndexMethod BspTreeIndex

  A Binary Space Partitioning tree is applied. All `QGraphicsScene`'s item location algorithms are of an order close to logarithmic complexity, by making use of binary search. Adding, moving and removing items is logarithmic. This approach is best for static scenes (i.e., scenes where most items do not move).

### NoIndex

    public static final QGraphicsScene.ItemIndexMethod NoIndex

  No index is applied. Item location is of linear complexity, as all items on the scene are searched. Adding, moving and removing items, however, is done in constant time. This approach is ideal for dynamic scenes, where many items are added, moved or removed continuously.

Method Detail

### values

    public static QGraphicsScene.ItemIndexMethod[] values()

### valueOf

    public static QGraphicsScene.ItemIndexMethod valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsScene.ItemIndexMethod resolve(int value)

  Returns the ItemIndexMethod constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD